# Gimp.LoadProcedure.new

    function new(plug_in: Gimp.PlugIn, name: String, proc_type: Gimp.PDBProcType, run_func: Gimp.RunLoadFunc): Gimp.Procedure {
        // Gjs wrapper for gimp_load_procedure_new()
    }

Creates a new load procedure named name which will call run_func when invoked.

See Gimp.Procedure.new for information about proc_type.

Since 3.0

plug_in

  a Gimp.PlugIn.

name

  the new procedure's name.

proc_type

  the new procedure's Gimp.PDBProcType.

run_func

  the run function for the new procedure.

Returns

  a new Gimp.Procedure.